Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.recipe.services
Class PartyIdentification

    java.lang.Object
      be.recipe.services.PartyIdentification

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CreatePrescriptionParam, GetListOpenPrescriptionParam, GetPrescriptionForPrescriberParam, ListFeedbacksParam, RevokePrescriptionParam, SendNotificationParam, UpdateFeedbackFlagParam

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:29:02+02:00",
               comments="JAXB RI v2.2.6")
    public class PartyIdentification

extends Object
implements Serializable

Java class for partyIdentification complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="partyIdentification">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="prescriberId" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/>
             <element name="executorId" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/>
             <element name="patientId" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PartyIdentification()`

Method Summary
`Long` | `getExecutorId()` Gets the value of the executorId property.
`Long` | `getPatientId()` Gets the value of the patientId property.
`Long` | `getPrescriberId()` Gets the value of the prescriberId property.
`void` | `setExecutorId(Long value)` Sets the value of the executorId property.
`void` | `setPatientId(Long value)` Sets the value of the patientId property.
`void` | `setPrescriberId(Long value)` Sets the value of the prescriberId property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PartyIdentification

    public PartyIdentification()

Method Detail

### getPrescriberId

    public Long getPrescriberId()

  Gets the value of the prescriberId property.

  Returns:
    possible object is `Long`

### setPrescriberId

    public void setPrescriberId(Long value)

  Sets the value of the prescriberId property.

  Parameters:
    `value` - allowed object is `Long`

### getExecutorId

    public Long getExecutorId()

  Gets the value of the executorId property.

  Returns:
    possible object is `Long`

### setExecutorId

    public void setExecutorId(Long value)

  Sets the value of the executorId property.

  Parameters:
    `value` - allowed object is `Long`

### getPatientId

    public Long getPatientId()

  Gets the value of the patientId property.

  Returns:
    possible object is `Long`

### setPatientId

    public void setPatientId(Long value)

  Sets the value of the patientId property.

  Parameters:
    `value` - allowed object is `Long`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.